Class | Rinda::TupleSpaceProxy
In: | rinda/rinda.rb
Parent: | Object

TupleSpaceProxy allows a remote Tuplespace to appear as local.

### Methods

new notify read read_all take write

### Public Class methods

new(ts)

Creates a new TupleSpaceProxy to wrap `ts`.

[Source]

    # File rinda/rinda.rb, line 213
        def initialize(ts)
          @ts = ts
        end

### Public Instance methods

notify(ev, tuple, sec=nil)

Registers for notifications of event `ev` on the proxied TupleSpace. See TupleSpace#notify

[Source]

    # File rinda/rinda.rb, line 252
        def notify(ev, tuple, sec=nil)
          @ts.notify(ev, tuple, sec)
        end

read(tuple, sec=nil, &block)

Reads `tuple` from the proxied TupleSpace. See TupleSpace#read.

[Source]

    # File rinda/rinda.rb, line 236
        def read(tuple, sec=nil, &block)
          @ts.read(tuple, sec, &block)
        end

read_all(tuple)

Reads all tuples matching `tuple` from the proxied TupleSpace. See TupleSpace#read_all.

[Source]

    # File rinda/rinda.rb, line 244
        def read_all(tuple)
          @ts.read_all(tuple)
        end

take(tuple, sec=nil, &block)

Takes `tuple` from the proxied TupleSpace. See TupleSpace#take.

[Source]

    # File rinda/rinda.rb, line 227
        def take(tuple, sec=nil, &block)
          port = []
          @ts.move(DRbObject.new(port), tuple, sec, &block)
          port[0]
        end

write(tuple, sec=nil)

Adds `tuple` to the proxied TupleSpace. See TupleSpace#write.

[Source]

    # File rinda/rinda.rb, line 220
        def write(tuple, sec=nil)
          @ts.write(tuple, sec)
        end

[Validate]